<!DOCTYPE html>

<html xmlns:th="https://www.thymeleaf.org" th:replace="~{fragments/layout :: layout (~{::body},'mentors')}">

  <body>

    <h2>Mentors Data</h2>

    <table id="assistants" class="table table-striped">
        <thead>
        <tr>
            <th style="width: 150px;">Name</th>
            <th style="width: 200px;">Address</th>
            <th>City</th>
            <th style="width: 120px">Telephone</th>
            <th>Mentee</th>
        </tr>
        </thead>
        <tbody>
          <tr th:each="mentor : ${selections}">
              <td>
                  <a th:href="@{/mentors/__${mentor.id}__}" th:text="${mentor.firstName + ' ' + mentor.lastName}"/></a>
              </td>
              <td th:text="${mentor.address}"/>
              <td th:text="${mentor.city}"/>
              <td th:text="${mentor.telephone}"/>
              <td><span th:each="mentee : ${mentor.mentees}" th:text="${mentee.name} "/></td>
          </tr>
        </tbody>
    </table>

  </body>
</html>
